Page MenuHomePhabricator

Upgrade service-runner on AQS to unblock rsyslog logging
Closed, ResolvedPublic

Description

@mobrovac I just noticed in the description the newest version of service-runner part. We currently run 2.6.7, is it enough?

Eh no, unfortunately not. Support for prefixed syslog logging came in v2.6.15. The [diff between v2.6.7 and v2.6.15](https://github.com/wikimedia/service-runner/compare/v2.6.7...v2.6.15) suggests it's safe for you to update to that version. Moreover, it would beneficial if you could update to the latest version, v2.7.3 as it brings many improvements and bug fixes over v2.6.15. Again, the diff suggests there are no backwards-incompatible interface changes, so you should fine in doing so.

Event Timeline

Ottomata triaged this task as Medium priority.Oct 31 2019, 4:43 PM
Ottomata moved this task from Incoming to Operational Excellence on the Analytics board.
Ottomata added a subscriber: Pchelolo.

@Pchelolo last time we talked about T219922 there was some service-runner (or service-template-node?) related blocker to doing this. Is that still true or could this happen any time?

@Ottomata AQS is not on k8s, so for AQS it's all ready - just need the latest service-runner and a config change.

Oh ho hoooo righto.

Milimetric added a project: Analytics-Kanban.

I think we can safely skip this. We're going to be updating service-runner based services to be prometheus-native (see https://github.com/wikimedia/service-runner/pull/221), so we can leapfrog this.

elukey moved this task from Backlog to Keep an eye on it on the User-Elukey board.Jan 3 2020, 10:59 AM

ok, well we need this for T219928 so I'm going to upgrade and test, to take care of any snags before the next upgrade. Then we can delay deploying if we want to upgrade again after PR 221.

Change 562078 had a related patch set uploaded (by Milimetric; owner: Milimetric):
[analytics/aqs@master] [WIP] Update service-runner version

https://gerrit.wikimedia.org/r/562078

@Milimetric you can just update the service-runner version, but it would probably be better to use this as an opportunity to do so by updating to the latest service-template-node:

https://www.mediawiki.org/wiki/ServiceTemplateNode/Updating

Change 562078 merged by Milimetric:
[analytics/aqs@master] Update service-runner version

https://gerrit.wikimedia.org/r/562078

ok deployed and tested in deployment-prep, all good, ready for deploy to prod.

elukey closed this task as Resolved.Feb 19 2020, 9:34 AM

This has been successfully deployed to prod AQS and it worked.